%{?nodejs_find_provides_and_requires}

%global packagename grunt-contrib-coffee
%global enable_tests 1

Name:		nodejs-grunt-contrib-coffee
Version:	1.0.0
Release:	1%{?dist}
Summary:	Compile CoffeeScript files to JavaScript

License:	MIT
URL:		https://github.com/gruntjs/grunt-contrib-coffee
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Sources 1-9 are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh
# Gruntfile and .jshintrc
Source11:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-coffee/v%{version}/Gruntfile.js
Source12:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-coffee/v%{version}/.jshintrc
# License file
Source13:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-coffee/v%{version}/LICENSE-MIT



BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(uri-path)
BuildRequires:	npm(grunt-cli)
%endif

%description
Compile CoffeeScript files to JavaScript


%prep
%setup -q -n package
# setup the tests, docs, Gruntfile, .jshintrc, license
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
cp -p %{SOURCE11} .
cp -p %{SOURCE12} .
cp -p %{SOURCE13} .

%nodejs_fixdep chalk
%nodejs_fixdep lodash

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json tasks/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/grunt test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md docs/
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 24 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
